Subject: Re: [SUA issue 17 & M3UA issue #11] IPSP cases.

From: "Javier Pastor-Balbas (ECE)" <[email-masked]>
Date: Thu, 6 Sep 2001 12:08:56 +0200

Hi Brian, John, 

After reading some of your mails, I would like to express my understandings just in case it helps.

We set the status of a remote IPSP or ASP as INACTIVE when it is capable of handling ASPSM/ASPTM messages but the application cannot handle signalling traffic.

If we receive an ASPUP-ACK as a response to an ASPUP, it is obvious that the remote IPSP is able to handle ASPTM messages, so we can mark it as INACTIVE. This means that we only need one ASPUP / ASPUP-ACK to set both IPSPS in the INACTIVE state.

Obviously, if both ends send an ASPUP, it would also work, and I propose that in such a case, we always send the corresponding ASPUP-ACK.

On the other hand, the ACTIVE state means that the application on top of M3UA can handle the signalling traffic corresponding to the routing contexts it handles.

If you send an ASPAC message, you are saying that you are ready to receive traffic for your handled RK/RC. But you can never force the other side to have its application ready to receive the traffic you want to send, since its corresponding process must be up and running, and you have no authority to force that from your own node.

So, in order to be able to send messages to the other side, you must receive an ASPAC letting you know that it is ready. This means that the symmetrical way must be used for establishing the signalling traffic.

Very important:

- There are cases where bi-directional communication is not needed, for instance if you have an application that just registers charging data and doesn't need to reply to your messages. So this kind of communication must be allowed.

- Even for bi-directional applications, there is no problem with receiving a message from a prohibited destination, you just deliver the message to your user, and when it wants to reply, it will not be able to send the reply. Applications are ready for a lost of communication, and usually react by re-attempting to send the message after a while (in fact, they do it periodically).

BR // Javier.

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]]
Sent: 04 September 2001 08:10
To: sigtran
Subject: Re: [SUA issue 17] IPSP cases.
Importance: High

John,

On Tue, 04 Sep 2001, John Loughney wrote:

> Hi Brian,
> 
> > > > Which IPSP sends APSUP?  
> > > 
> > > Whichever one wants to.
> > > 
> > > > What happens if both IPSPs sends ASPUP?
> > > 
> > > Both MUST send ASPUP messages and ASPUP-ACK messages before
> > > traffic can flow.
> > 
> > These two statements don't appear consistent: "[w]hichever
> > one wants to" and "[b]oth MUST".
> 
> I did not mean them to contradict.  I meant that whichever
> one wants to can INITIATE sending the ASPUP, however both
> need to send ASPUP & ASPUP-ACK before traffic can flow.

Now I'm confused.  The text you proposed for section 4.3.4.1.2 does
not have both IPSPs sending ASPUP before traffic flows.  That text
indicates that only one side need send the ASPUP and that when the
procedure completes with an ASPUP Ack that both sides will mark the
other ASP-INACTIVE.

Which is it?

> 
>  
> > > > When one IPSP sends ASPAC for an RC does it activate it for both
> > > > IPSPs?  Or, does the other IPSP need to send ASPAC as well?  
> > > 
> > > Yes.
> > 
> > Yes ASPAC activates for both?  Or, yes, the other nees to 
> > send as well?
> 
> I shall add qualifying text.  I believe that RC have signifigance for
> the AS which it applies to.

I still don't know how you propose for ASPAC to work.  Is this the
symmetrical case or the asymmetrical case as you proposed for ASPUP?

>  
> > > > Can an SG be both an SGP and an IPSP?
> > > 
> > > No, but I believe that it can have both sets of functionality.
> > > What I mean is that there can be an IPSP process and a SG Process
> > > running on the same network node.  I'd be hesitant to call it
> > > a SG, though.
> > 
> > Let me frame the question a bit more: Can a node present both
> > SGP and IPSP functionalith to the same SCCP-User?
> 
> I see this as a configuaration question.  Logically the functions
> of SGP & IPSP are seperate.

The question is whether it is logically possible to have one user
working in both modes.  And whether this is supported by the protocol.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to [email-masked]

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to [email-masked]